# $Revision: 1.6 $, $Date: 2005/01/03 18:30:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Untaint
Summary:	CGI::Untaint - process CGI input parameters
Summary(pl):	CGI::Untaint - przetwarzanie parametrw wejciowych CGI
Name:		perl-CGI-Untaint
Version:	1.25
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f75b2641202e441a16db5040c37170c0
BuildRequires:	perl-UNIVERSAL-exports
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a simple, convenient, abstracted and extensible
manner for validating and untainting the input from web forms.

%description -l pl
Ten modu udostpnia prosty, wygodny, abstrakcyjny i rozszerzalny
sposb na sprawdzanie poprawnoci i odkaanie wejcia z formularzy
WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/CGI/*.pm
%{perl_vendorlib}/CGI/Untaint
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Untaint.spec,v $
Revision 1.6  2005/01/03 18:30:51  adamg
- updated to 1.25

Revision 1.5  2004/11/03 22:30:09  paladine
- formatting

Revision 1.4  2004/04/17 18:00:50  ankry
- license/summary/description fixes

Revision 1.3  2004/04/09 13:47:12  qboosh
- pl

Revision 1.2  2004/01/29 17:22:56  migo
- small cleanup

Revision 1.1  2004/01/29 17:12:43  migo
- initial revision
